/****************************************************************************
 *
 *   Copyright (C) 2003, 2004 Wolfgang G. Reissnegger, All Rights Reserved
 *
 *   gnagflow@users.sourceforge.net                                    
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the license, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public
 *   License along with this program;  if not, write to the
 *       Free Software Foundation, Inc.,
 *       59 Temple Place - Suite 330,
 *       Boston, MA 02111-1307
 *
 ****************************************************************************/

#ifndef DEFS_H_
#define DEFS_H_

#ifndef TRUE
#  define TRUE      (1==1)
#  define FALSE     !TRUE
#endif

#ifndef NULL
#  define NULL      (void *) 0
#endif

// The buffer length used for storing path names. If you are using longer path
// names, you will have to adjust the length, because generally path name
// buffers are not checked for overflows.
//
#define MAX_PATH_LEN                    512
#define MAX_URL_LEN                     512
#define MAX_NAME_LEN                    160
#define MAX_ENTRY_NAME_LEN              MAX_NAME_LEN


#define SCREEN_STACK_SIZE               64

// Song screen general update interval.
// This should not be longer than SONG_SCROLL_DELAY
//
#define SONG_UPDATE_INTERVAL            333

// How long to wait before the song title starts scrolling
//
#define SONG_SCROLL_INITIAL_WAIT        3000


// Defines how long to wait if the song name scrolling hits either the
// beginning or the end. This prevents the display to scroll right off.
//
#define SONG_SCROLL_EDGE_WAIT		1000

// Scroll delay in ms
//
#define SONG_SCROLL_DELAY               333

// Song snap back timer after selection (preview) of another file
//
#define SONG_SNAP_BACK_TIME             5000

// Song info snap back timer after start of song or user 'I'-key press
//
#define SONG_INFO_SNAP_BACK_TIME        5000

// Size of history for file selection in RANDOM mode
// NOTE:
//   512 entries seems like a fair compromise between having a dynamically
//   allocated array and a fixed static array. 512 entries corresponds to about
//   24 hours of songs playing, assuming a song is about 3.5 minutes long.
//
#define FILE_IDX_HISTORY_SIZE           512

// Max number of lines in info screen
//
#define INFO_MAX_LINES                  4

// Length of the time in string format
//
#define TIME_STR_LEN                    16

// How long the 'About' screen stays there
//
#define ABOUT_SCREEN_TIMEOUT            5000

// Number of hotkey entries
//
#define HOTKEY_TAB_LEN                  40

// Number of available SESSIONs
//
#define NUM_SESSION                     8

// location of mp3 root directory
//
#define DIR_MP3_ROOT                    "/mp3"

// Name of the main playlist cache file
//
#define AUDIOBOX_PLAYLIST_CACHE_FILE    "/mp3/playlist.cache"

// Location of playlist directory
//
#define DIR_PLAYLIST_ROOT               "/mp3"

// Location of CDROM device
//
#define DIR_CDROM_DEV                   "/mnt/cd"

// Location of Floppy device
//
#define DIR_USB_DEV                     "/mnt/usb"

// Location of Floppy device
//
#define DIR_FLOPPY_DEV                  "/mnt/floppy"

// Name of the audioBox config file
//
#define AUDIOBOX_CONFIG_FILE		"/etc/audioBox.conf"

// Names of the audioBox start sound file
//
#define AUDIOBOX_STARTSOUND		"/mp3/.thx.mp3"
#define AUDIOBOX_REAL_STARTSOUND	"/usr/share/thx.mp3"

#endif
