/****************************************************************************
 *
 *   Copyright (C) 2003, 2004 Wolfgang G. Reissnegger, All Rights Reserved
 *
 *   gnagflow@users.sourceforge.net                                    
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the license, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public
 *   License along with this program;  if not, write to the
 *       Free Software Foundation, Inc.,
 *       59 Temple Place - Suite 330,
 *       Boston, MA 02111-1307
 *
 ****************************************************************************/

#ifndef FILEUTIL_H_
#define FILEUTIL_H_

#include "list.h"

#include "defs.h"

/******************************************************************************/

typedef struct file_entry_d
{
	char name[MAX_NAME_LEN];
	char fullpath[MAX_PATH_LEN];

	void (*handler) (void *);

#define FILE_ENTRY_FILE         0
#define FILE_ENTRY_MENU         1
	int type;

	int marked;
}
file_entry_t;

/******************************************************************************/

list_t *file_entry_list_search(list_t *haystack, const char *needle);
list_t *file_entry_list_search_all(const char *needle);
list_t *scan_file_list_path(const char *path);
list_t *scan_file_list_path_recursive(const char *path);

file_entry_t *file_entry_new(const char *fullpath);

list_t *file_entry_list_sort(list_t *list);

char *get_path(char *target, int len, const char *fullpath);

int file_type(const file_entry_t * entry);

#define FILE_TYPE_MP3       0
#define FILE_TYPE_OGG       1
#define FILE_TYPE_FLAC      2
#define FILE_TYPE_DIR       3
#define FILE_TYPE_PLAYLIST  4
#define FILE_TYPE_URL       5
#define FILE_TYPE_UNKNOWN   6

const char *url_from_file(const char *fullpath);

void file_entry_list_init();
void file_entry_list_cd_init();
void file_entry_list_deinit();
void file_entry_list_cd_deinit();
void file_entry_list_usb_init();

#endif
