/****************************************************************************
 *
 *   Copyright (C) 2003, 2004 Wolfgang G. Reissnegger, All Rights Reserved
 *
 *   gnagflow@users.sourceforge.net                                    
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the license, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public
 *   License along with this program;  if not, write to the
 *       Free Software Foundation, Inc.,
 *       59 Temple Place - Suite 330,
 *       Boston, MA 02111-1307
 *
 ****************************************************************************/

#ifndef KEYTAB_H_
#define KEYTAB_H_

enum
{
	// Starting at 300 has no particular reason
	//
	KEY_NONE = 300,
	KEY_UP,
	KEY_UP_10,
	KEY_DOWN,
	KEY_DOWN_10,
	KEY_RIGHT,
	KEY_LEFT,

	KEY_SEARCH,
	KEY_SELECT,

	KEY_BACKSPACE,
	KEY_ESC,

	KEY_MARK,		// Mark an entry as selected
	KEY_UNMARK,		// Un-Mark entry

	KEY_EXIT,

	KEY_SHIFT_UP,
	KEY_SHIFT_DOWN,

	KEY_DELETE,
	KEY_INSERT,


	// SESSION hot keys. The input device can return the following key
	// values to trigger a SESSION operation.
	//
	KEY_SESSION_MENU,	// open SESSION menu
	KEY_SESSION_MENU_NEXT,	// Switch to next session
	KEY_SESSION_MENU_PREV,	// Switch to previous session
	KEY_SESSION_MENU_SWITCH_TO_1,	// Switch to SESSION 1
	KEY_SESSION_MENU_SWITCH_TO_2,
	KEY_SESSION_MENU_SWITCH_TO_3,
	KEY_SESSION_MENU_SWITCH_TO_4,
	KEY_SESSION_MENU_SWITCH_TO_5,
	KEY_SESSION_MENU_SWITCH_TO_6,
	KEY_SESSION_MENU_SWITCH_TO_7,
	KEY_SESSION_MENU_SWITCH_TO_8,	// Switch to SESSION 8


	// PLAYLIST hot keys. The input device can return the following key
	// values to trigger a SESSION operation.
	//
	KEY_PLAYLIST_MENU,		// open PLAYLIST menu
	KEY_PLAYLIST_MENU_ADD_THIS,	// Add current item to the playlist
	KEY_PLAYLIST_MENU_ADD_MARKED,	// Add marked item(s) to the playlist


	// SEARCH hot keys
	//
	KEY_SEARCH_MENU,	// open SEARCH menu
	KEY_SEARCH_MENU_SEARCH_ALL,	// search all files
	KEY_SEARCH_MENU_SEARCH_SUB_LIST,	// search in sub-list


	// Context Menu when playing songs
	//
	KEY_CTXMENU_PLAY,

	// SONG play control keys
	//                      
	KEY_SONG_PLAY,		// Start playing song
	KEY_SONG_PLAY_SUBDIR,	// Start playing all songs in a subdir
	KEY_SONG_STOP,		// Stop playing
	KEY_SONG_PAUSE,		// Pause/Un-Pause playback
	KEY_SONG_SELECT_NEXT,	// Select next song (do not play, though)
	KEY_SONG_SELECT_PREV,	// Select previous song (not play)
	KEY_SONG_SELECT_NEXT_AND_PLAY,	// Select next song and play
	KEY_SONG_SELECT_PREV_AND_PLAY,	// Select previous song and play
	KEY_SONG_SELECT_PREVIOUS,	// Select previously playing song and play


	// FILE menu hot keys
	//
	KEY_FILE_MENU,		// Open FILE menu
	KEY_FILE_MENU_COPY_TO_CD,	// Copy current CD to HDD
	KEY_FILE_MENU_DELETE,	// Delete marked file(s)/dir(s)
	KEY_FILE_MENU_RENAME,	// Rename currently selected file
};

#define KEY_HANDLED         1
#define KEY_NOT_HANDLED     !KEY_HANDLED

int keytab_eval(const char *buf, unsigned int len);

#endif
