/****************************************************************************
 *
 *   Copyright (C) 2003, 2004 Wolfgang G. Reissnegger, All Rights Reserved
 *
 *   gnagflow@users.sourceforge.net                                    
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the license, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public
 *   License along with this program;  if not, write to the
 *       Free Software Foundation, Inc.,
 *       59 Temple Place - Suite 330,
 *       Boston, MA 02111-1307
 *
 ****************************************************************************/

#include "playlist_menu.h"

#include <stdio.h>

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "display.h"
#include "menu.h"
#include "info.h"
#include "hotkey.h"
#include "util.h"


/******************************************************************************/

static void playlist_add_single_item(void *data)
{
	display_push(info_new("NOT IMPLEMENTED YET.", 2000));
}


/******************************************************************************/

static void playlist_add_marked_items(void *data)
{
}


/******************************************************************************/

void playlist_menu(void *data)
{
	screen_t *playlist_menu = menu_new();

	menu_add(playlist_menu, "Add marked",	playlist_add_marked_items);
	menu_add(playlist_menu, "Add this",	playlist_add_single_item);

	display_push(playlist_menu);
}


/******************************************************************************/

void playlist_menu_init()
{
	hotkey_add(KEY_PLAYLIST_MENU, playlist_menu);
	hotkey_add(KEY_PLAYLIST_MENU_ADD_THIS, playlist_add_single_item);
	hotkey_add(KEY_PLAYLIST_MENU_ADD_MARKED, playlist_add_marked_items);
}
