/****************************************************************************
 *
 *   Copyright (C) 2003, 2004 Wolfgang G. Reissnegger, All Rights Reserved
 *
 *   gnagflow@users.sourceforge.net                                    
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the license, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public
 *   License along with this program;  if not, write to the
 *       Free Software Foundation, Inc.,
 *       59 Temple Place - Suite 330,
 *       Boston, MA 02111-1307
 *
 ****************************************************************************/

#ifndef SEARCH_H_
#define SEARCH_H_

#include "display.h"
#include "list.h"

// search context object, derived from display context
//
typedef struct search_display_context_d
{
	char search_buf[MAX_NAME_LEN];
	int idx;
	int search_mode;	// search mode
#define SEARCH_SUB      1
#define SEARCH_FULL     2


// These are accessor macros. Make sure that ctx is of type
// search_display_context_t* when using them...
//
#define c_search_buf                ((search_display_context_t *) ctx)->search_buf
#define c_idx                       ((search_display_context_t *) ctx)->idx
#define c_search_mode               ((search_display_context_t *) ctx)->search_mode
}
search_display_context_t;


/******************************************************************************/

#define TYPE_SEARCH         0x3bd90028


/******************************************************************************/

screen_t *search_new(list_t *initial);

#endif
